# Uses of Class
org.apache.avro.idl.IdlParser.NamedSchemaDeclarationContext

## Uses of IdlParser.NamedSchemaDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.NamedSchemaDeclarationContext
Modifier and Type
Field
Description
`IdlParser.NamedSchemaDeclarationContext`
IdlParser.IdlFileContext.`namedSchemaDeclaration`
`IdlParser.NamedSchemaDeclarationContext`
IdlParser.ProtocolDeclarationBodyContext.`namedSchemaDeclaration`
Fields in org.apache.avro.idl with type parameters of type IdlParser.NamedSchemaDeclarationContext
Modifier and Type
Field
Description
`List<IdlParser.NamedSchemaDeclarationContext>`
IdlParser.IdlFileContext.`namedSchemas`
`List<IdlParser.NamedSchemaDeclarationContext>`
IdlParser.ProtocolDeclarationBodyContext.`namedSchemas`
Methods in org.apache.avro.idl that return IdlParser.NamedSchemaDeclarationContext
Modifier and Type
Method
Description
`IdlParser.NamedSchemaDeclarationContext`
IdlParser.IdlFileContext.`namedSchemaDeclaration(int i)`
`final IdlParser.NamedSchemaDeclarationContext`
IdlParser.`namedSchemaDeclaration()`
`IdlParser.NamedSchemaDeclarationContext`
IdlParser.ProtocolDeclarationBodyContext.`namedSchemaDeclaration(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.NamedSchemaDeclarationContext
Modifier and Type
Method
Description
`List<IdlParser.NamedSchemaDeclarationContext>`
IdlParser.IdlFileContext.`namedSchemaDeclaration()`
`List<IdlParser.NamedSchemaDeclarationContext>`
IdlParser.ProtocolDeclarationBodyContext.`namedSchemaDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.NamedSchemaDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
IdlListener.`enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
IdlBaseListener.`exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
IdlListener.`exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.